org.apache.tinkerpop.gremlin.language.grammar

## Class ParseTreeContextCastHelper

- java.lang.Object
- - org.apache.tinkerpop.gremlin.language.grammar.ParseTreeContextCastHelper

-     public class ParseTreeContextCastHelper
      extends Object

  Antlr parse tree context cast helper.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ParseTreeContextCastHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static GremlinParser.GenericLiteralContext` | `castChildToGenericLiteral(org.antlr.v4.runtime.tree.ParseTree ctx, int childIndex)` Cast ParseTree node child into GenericLiteralContext
    `static GremlinParser.GenericLiteralListContext` | `castChildToGenericLiteralList(org.antlr.v4.runtime.tree.ParseTree ctx, int childIndex)` Cast ParseTree node child into GenericLiteralListContext

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ParseTreeContextCastHelper

          public ParseTreeContextCastHelper()

  - ### Method Detail

    - #### castChildToGenericLiteral

          public static GremlinParser.GenericLiteralContext castChildToGenericLiteral(org.antlr.v4.runtime.tree.ParseTree ctx,
                                                                                      int childIndex)

      Cast ParseTree node child into GenericLiteralContext
      Parameters:
        `ctx` - : ParseTree node
        `childIndex` - : child index
      Returns:
        casted GenericLiteralContext

    - #### castChildToGenericLiteralList

          public static GremlinParser.GenericLiteralListContext castChildToGenericLiteralList(org.antlr.v4.runtime.tree.ParseTree ctx,
                                                                                              int childIndex)

      Cast ParseTree node child into GenericLiteralListContext
      Parameters:
        `ctx` - : ParseTree node
        `childIndex` - : child index
      Returns:
        casted GenericLiteralListContext

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.